Bug 1483458 - RFE: add --changelog into dnf repoquery
Summary: RFE: add --changelog into dnf repoquery
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Blaha
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On: 1066867
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-21 07:44 UTC by Jan Blazek
Modified: 2019-03-29 05:27 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-10-22 16:13:02 UTC


Attachments (Terms of Use)

Description Jan Blazek 2017-08-21 07:44:04 UTC
Description of problem:
Old repoquery from yum-utils has --changelog option which is quite handy for looking at the package changelog before installing. dnf repoquery is missing that functionality.

Version-Release number of selected component (if applicable):
dnf-2.6.3-1.fc26.noarch

How reproducible:
Always

Steps to Reproduce:
$ dnf repoquery --changelog <package>

Actual results:
dnf repoquery: error: unrecognized arguments: --changelog

Expected results:
dnf would display changelog of the selected package(s)

Comment 1 Fedora End Of Life 2018-05-03 08:11:44 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Jan Blazek 2018-05-03 08:48:57 UTC
This bug is still present on Fedora 28.

# rpm -q dnf
dnf-2.7.5-8.fc28.noarch

Comment 3 Valdis Kletnieks 2018-07-21 21:42:21 UTC
Why is this functionality *still* not available in dnf?

It really sucks having to go to Koji and track down the build status just to see what the change in a package is (and most users won't know how to do that).

And no, 'just install it and "rpm -q --changelog"' doesn't cut it either, when you're doing the query to see if a problem has been fixed.  Having to re-backlevel a dozen RPM packages because the issue isn't fixed is no fun at all.

(In fact, that's the scenario right this instant - I'm running a backleveled 'dnf' because of bug 1596540, and I can't do a 'repoquery changelog dnf' to see if that bug has been fixed.  And if I update and it's still busted, I have to re-backlevel dnf and about a dozen pre-requisite RPMs)

Comment 4 Fedora Update System 2018-10-15 12:28:36 UTC
dnf-plugins-core-4.0.0-1.fc29 dnf-4.0.4-1.fc29 libdnf-0.22.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2789f6b6e7

Comment 5 Fedora Update System 2018-10-15 18:23:09 UTC
dnf-4.0.4-1.fc29, dnf-plugins-core-4.0.0-1.fc29, libdnf-0.22.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2789f6b6e7

Comment 6 Fedora Update System 2018-10-17 13:01:38 UTC
dnf-4.0.4-1.fc29 dnf-plugins-core-4.0.0-2.fc29 libdnf-0.22.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2789f6b6e7

Comment 7 Fedora Update System 2018-10-17 23:30:36 UTC
dnf-4.0.4-1.fc29, dnf-plugins-core-4.0.0-2.fc29, libdnf-0.22.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2789f6b6e7

Comment 8 Fedora Update System 2018-10-18 14:06:26 UTC
anaconda-29.24.6-1.fc29 dnf-4.0.4-1.fc29 dnf-plugins-core-4.0.0-2.fc29 libblockdev-2.20-2.fc29 libdnf-0.22.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2789f6b6e7

Comment 9 Fedora Update System 2018-10-20 19:22:06 UTC
anaconda-29.24.7-1.fc29, dnf-4.0.4-1.fc29, dnf-plugins-core-4.0.0-2.fc29, libblockdev-2.20-2.fc29, libdnf-0.22.0-5.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2789f6b6e7

Comment 10 Fedora Update System 2018-10-22 16:13:02 UTC
anaconda-29.24.7-1.fc29, dnf-4.0.4-1.fc29, dnf-plugins-core-4.0.0-2.fc29, libblockdev-2.20-2.fc29, libdnf-0.22.0-5.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.